namespace CustomComponent.Pages
{
public class DynamicModel<T> where T : struct
{
    public System.Type Type { get; set; }
    public bool Enabled { get; set; }

	public DynamicModel()
	{
		this.Type = typeof(T);
	}

	private T _value;

	public T ValueAsT
	{
		get { return (T)_value; }
		set { this._value = value; }
	}
}
}
